3

I go to download my apps on my phone and it won't let me. It just comes up with this:

This application requires iOS 8.0 or later.
You must update to iOS 8.0 in order to download and use this application.

I go to update my software and it says there are no updates available. What should I do?

1

The last version of iOS that the iPhone 4 supports is iOS 7.1.2. You will not find any more software updates for the iPhone 4 beyond this.

This means you are unable to install any apps that require a more recent version of iOS (not all apps require iOS 8 and later), however it may be possible to download a previous version of an app that does support iOS 7 by adding the app to your purchase history using iTunes on a computer first.

| improve this answer | |

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .